[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Too eager?



Michael Schwendt wrote:
On Tue, 09 Jun 2009 23:30:37 -0400, James wrote:

On Tue, 2009-06-09 at 20:22 -0500, Jon Ciesla wrote:
Given you are
trying to update via. yum, just enabling updates-testing should be the
most fun :). Or you can always just download the above yum, and use yum
shell to update everything else and yum via. the local file.
And how do I install an F-11 yum RPM in F-10, which lacks python 2.6?
I get the same thing with or without updates-testing for F-11.
 As I said:

1. yum upgrade --enablerepo=updates-testing

2. yumdownloader --repoid=updates-testing yum
   cat <<EOL | yum shell
upgrade
install yum-3.2.23-3.fc11.noarch.rpm
run
EOL

 #1 means you'll get all the other updates from updates-testing, #2 is
more typing.

In #2 one also needs --enablerepo=updates-testing instead of --repoid=...
and one must be very careful with typos. If Yum cannot find the
packages given to it via "install", it fails badly with an interrupted
transaction and (in case of F10 => F11) an unreadible RPM DB that
needs manual repair.

Thanks for the suggestions. However the first fails as before, and the second fails due to libvte being broken, which I understand is being fixed.

--
in your fear, speak only peace
in your fear, seek only love

-d. bowie


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]